[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.LoadGridOptions

Loads design-time values for the Options in a grid from an XML configuration file.

## Declaration

Source position: grids.pas line 1148

`protected procedure TCustomGrid.LoadGridOptions(`
`cfg: TXMLConfig;`
`Version: Integer`
`); virtual;`

## Arguments

`cfg` |  | XML configuration file instance examined in the method.
`Version` |  | LCL version for the grid option data.

## Description

LoadGridOptions is method used to load value for the Options and Options2 properties from the XML configuration file specified in cfg.

Design-time settings for the grid control are loaded from the XML file when soDesign is included in the SaveOptions property and the XML file includes the corresponding values. LoadGridOptions reads the enumeration values for both properties from the XML configuration file and stores the set types to the Options and Options2 properties.

LoadGridOptions is called during execution of the LoadContent method.

## See also

TCustomGrid.Options |  | Contains the set of optional features and/or behaviors enabled for the grid control.
TCustomGrid.Options2 |  | Contains additional options for scrolling and editor behavior enabled in the grid control.
TCustomGrid.LoadContent |  | Loads values for the grid control from the specified XML configuration file.
TCustomGrid.SaveContent |  | Saves design-time configuration, column and row settings, and data to the specified XML configuration file.
TCustomGrid.SaveOptions |  | Options which control the information saved and loaded for the grid control.